<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="click"
            type="com.hongyegroup.cpt_auths.ui.BusinessForgotPsdVerityActivity.ClickProxy" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/page_bg"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="Forgot Passowrd" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/d_5dp"
            android:layout_marginTop="@dimen/d_5dp"
            android:layout_marginRight="@dimen/d_5dp"
            android:layout_marginBottom="@dimen/d_10dp"
            android:background="@drawable/shadow_round_gray_bg"
            android:orientation="vertical">


            <com.guadou.lib_baselib.font_text_view.TextViewSBold
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_22dp"
                android:layout_marginTop="@dimen/d_35dp"
                binding:text="@{click.MEmailLD}"
                tools:text="+6598567878"
                android:textColor="#3E4A5D"
                android:textSize="@dimen/d_23sp" />

            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_22dp"
                android:layout_marginTop="@dimen/d_22dp"
                android:text="Enter the 6-digit code sent to:"
                android:textColor="#FFADB5C2"
                android:textSize="16sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_20dp"
                android:baselineAligned="false"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <FrameLayout
                    android:id="@+id/frame_first_code"
                    android:layout_width="@dimen/d_37dp"
                    android:layout_height="@dimen/d_37dp"
                    android:layout_marginLeft="@dimen/d_23dp"
                    android:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_first_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="number"
                        android:maxLength="1"
                        android:minEms="2"
                        android:textColor="@color/input_blue_text"
                        android:textSize="@dimen/d_16sp"
                        binding:onFocusGet="@{click.onFocusGet}"
                        binding:typefaceRegular="@{true}" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/frame_second_code"
                    android:layout_width="@dimen/d_37dp"
                    android:layout_height="@dimen/d_37dp"
                    android:layout_marginLeft="@dimen/d_12dp"
                    android:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_second_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="number"
                        android:maxLength="1"
                        android:minEms="2"
                        android:textColor="@color/input_blue_text"
                        android:textSize="@dimen/d_16sp"
                        binding:onFocusGet="@{click.onFocusGet}"
                        binding:typefaceRegular="@{true}" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/frame_third_code"
                    android:layout_width="@dimen/d_37dp"
                    android:layout_height="@dimen/d_37dp"
                    android:layout_marginLeft="@dimen/d_12dp"
                    android:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_third_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="number"
                        android:maxLength="1"
                        android:minEms="2"
                        android:textColor="@color/input_blue_text"
                        android:textSize="@dimen/d_16sp"
                        binding:onFocusGet="@{click.onFocusGet}"
                        binding:typefaceRegular="@{true}" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/frame_fourth_code"
                    android:layout_width="@dimen/d_37dp"
                    android:layout_height="@dimen/d_37dp"
                    android:layout_marginLeft="@dimen/d_12dp"
                    android:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_fourth_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="number"
                        android:maxLength="1"
                        android:minEms="2"
                        android:textColor="@color/input_blue_text"
                        android:textSize="@dimen/d_16sp"
                        binding:onFocusGet="@{click.onFocusGet}"
                        binding:typefaceRegular="@{true}" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/frame_fifth_code"
                    android:layout_width="@dimen/d_37dp"
                    android:layout_height="@dimen/d_37dp"
                    android:layout_marginLeft="@dimen/d_12dp"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:layout_marginBottom="@dimen/d_10dp"
                    android:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_fifth_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="number"
                        android:maxLength="1"
                        android:minEms="2"
                        android:textColor="@color/input_blue_text"
                        android:textSize="@dimen/d_16sp"
                        binding:onFocusGet="@{click.onFocusGet}"
                        binding:typefaceRegular="@{true}" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/frame_sixth_code"
                    android:layout_width="@dimen/d_37dp"
                    android:layout_height="@dimen/d_37dp"
                    android:layout_marginLeft="@dimen/d_12dp"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:layout_marginBottom="@dimen/d_10dp"
                    android:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_sixth_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="number"
                        android:maxLength="1"
                        android:minEms="2"
                        android:textColor="@color/input_blue_text"
                        android:textSize="@dimen/d_16sp"
                        binding:onFocusGet="@{click.onFocusGet}"
                        binding:typefaceRegular="@{true}" />

                </FrameLayout>

            </LinearLayout>


            <EditText
                android:id="@+id/edit_text_hidden"
                android:layout_width="@dimen/d_1dp"
                android:layout_height="@dimen/d_1dp"
                android:layout_gravity="center_horizontal"
                android:background="@null"
                android:cursorVisible="false"
                android:gravity="center_horizontal"
                android:inputType="number"
                android:maxLength="6"
                android:textColor="#00000000"
                binding:onTextChanged="@{click.onTextChange}" />

            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_22dp"
                android:layout_marginTop="@dimen/d_22dp"
                android:text="Resend code in 00:55"
                android:textColor="#FFADB5C2"
                android:textSize="16sp" />

        </LinearLayout>


    </LinearLayout>

</layout>
